RegisterAccount
Important
AWS Audit Manager will no longer be open to new customers starting April 30, 2026. If you would like to use Audit Manager, sign up prior to that date. Existing customers can continue to use the service as normal. For more information, see AWS Audit Manager availability change.
Enables AWS Audit Manager for the specified AWS account.
Request Syntax
POST /account/registerAccount HTTP/1.1
Content-type: application/json
{
"delegatedAdminAccount": "string",
"kmsKey": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- delegatedAdminAccount
-
The delegated administrator account for Audit Manager.
Type: String
Length Constraints: Fixed length of 12.
Pattern:
^[0-9]{12}$Required: No
- kmsKey
-
The AWS KMS key details.
Type: String
Length Constraints: Minimum length of 7. Maximum length of 2048.
Pattern:
^arn:.*:kms:.*|DEFAULTRequired: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"status": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- status
-
The status of the account registration request.
Type: String
Valid Values:
ACTIVE | INACTIVE | PENDING_ACTIVATION
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
Your account isn't registered with AWS Audit Manager. Check the delegated administrator setup on the Audit Manager settings page, and try again.
HTTP Status Code: 403
- InternalServerException
-
An internal service error occurred during the processing of your request. Try again later.
HTTP Status Code: 500
- ResourceNotFoundException
-
The resource that's specified in the request can't be found.
- resourceId
-
The unique identifier for the resource.
- resourceType
-
The type of resource that's affected by the error.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The request has invalid or missing parameters.
- fields
-
The fields that caused the error, if applicable.
- reason
-
The reason the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: